Skip to main content
`Ctrl`+`K`

# TSSundialsSetType

Sets the method that `TSSUNDIALS` will use for integration.

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSSundialsSetType(TS ts, TSSundialsLmmType type)

Logically Collective

## Input Parameters

- ts - the time-step context

- type - one of `SUNDIALS_ADAMS` or `SUNDIALS_BDF`

## See Also

TS: Scalable ODE and DAE Solvers, `TSSundialsGetIterations()`, `TSSundialsSetMaxl()`, `TSSundialsSetLinearTolerance()`, `TSSundialsSetGramSchmidtType()`, `TSSundialsSetTolerance()`, `TSSundialsGetPC()`, `TSSetExactFinalTime()`

## Level

intermediate

## Location

src/ts/impls/implicit/sundials/sundials.c

## Implementations

TSSundialsSetType_Sundials() in src/ts/impls/implicit/sundials/sundials.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages